Loading...
Searching...
No Matches
Dune::SeqOverlappingSchwarzApplier< SeqOverlappingSchwarz< M, X, SymmetricMultiplicativeSchwarzMode, TD, TA > > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners

`#include <dune/istl/overlappingschwarz.hh>`

Inheritance diagram for Dune::SeqOverlappingSchwarzApplier< SeqOverlappingSchwarz< M, X, SymmetricMultiplicativeSchwarzMode, TD, TA > >:

## Public Types

typedef SeqOverlappingSchwarz< M, X, SymmetricMultiplicativeSchwarzMode, TD, TA > | smoother
typedef smoother::range_type | range_type

## Static Public Member Functions

static void | apply (smoother &sm, range_type &v, const range_type &b)

## Member Typedef Documentation

## range_type

template<class M, class X, class TD, class TA>

typedef smoother::range_type Dune::SeqOverlappingSchwarzApplier< SeqOverlappingSchwarz< M, X, SymmetricMultiplicativeSchwarzMode, TD, TA > >::range_type

## smoother

template<class M, class X, class TD, class TA>

typedef SeqOverlappingSchwarz<M,X,SymmetricMultiplicativeSchwarzMode,TD,TA> Dune::SeqOverlappingSchwarzApplier< SeqOverlappingSchwarz< M, X, SymmetricMultiplicativeSchwarzMode, TD, TA > >::smoother

## Member Function Documentation

## apply()

template<class M, class X, class TD, class TA>

void Dune::SeqOverlappingSchwarzApplier< SeqOverlappingSchwarz< M, X, SymmetricMultiplicativeSchwarzMode, TD, TA > >::apply | ( | smoother & | sm,
|  | range_type & | v,
|  | const range_type & | b )

inline static

The documentation for this struct was generated from the following file:

- overlappingschwarz.hh